# HDB

## Build

### Build dependencies

- GNU/Linux (can be determined using 'uname -o')
- \_POSIX\_C\_Source >= 200112L
- Gcc
- libsqlite3

### Runtime dependencies

- glibc
- libsqlite3

### Building

Firstly make sure you have [cloned](https://git-scm.com/docs/git-clone) the repository to your system.

This project ships with a Makefile which can be used for compiling a debug version or a release version.

The debug version is made using '-ggdb', so if you use a debugger other than [GDB](https://sourceware.org/gdb), you will need to modify the Makefile

By default it compiles the debug version. To compile the build version, you can run the following command in a terminal.

```bash
make release
```
